FreeBSD : openssl -- multiple vulnerabilities (8305e215-1080-11e5-8ba2-000c2980a9f3) (Logjam)

High Nessus Plugin ID 84133


The remote FreeBSD host is missing one or more security-related updates.


The OpenSSL team reports :

- Missing DHE man-in-the-middle protection (Logjam) (CVE-2015-4000)

- Malformed ECParameters causes infinite loop (CVE-2015-1788)

- Exploitable out-of-bounds read in X509_cmp_time (CVE-2015-1789)

- PKCS#7 crash with missing EnvelopedContent (CVE-2015-1790)

- CMS verify infinite loop with unknown hash function (CVE-2015-1792)

- Race condition handling NewSessionTicket (CVE-2015-1791)

- Invalid free in DTLS (CVE-2014-8176)


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 84133

File Name: freebsd_pkg_8305e215108011e58ba2000c2980a9f3.nasl

Version: $Revision: 2.11 $

Type: local

Published: 2015/06/12

Modified: 2017/07/06

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libressl, p-cpe:/a:freebsd:freebsd:linux-c6-openssl, p-cpe:/a:freebsd:freebsd:mingw32-openssl, p-cpe:/a:freebsd:freebsd:openssl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/06/11

Vulnerability Publication Date: 2015/06/11

Reference Information

CVE: CVE-2014-8176, CVE-2015-1788, CVE-2015-1789, CVE-2015-1790, CVE-2015-1791, CVE-2015-1792, CVE-2015-4000

FreeBSD: SA-15:10.openssl